Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JProgressBarOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.JProgressBarOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class JProgressBarOperator
extends JComponentOperator
implements Timeoutable, Outputable

Operator is supposed to be used to operate with an instance of javax.swing.JProgressBar class.
Timeouts used:
JProgressBarOperator.WaitValueTimeout - used from waitValue() method
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`

Inner Class Summary
`static class` | `JProgressBarOperator.JProgressBarFinder` Checks component type.
`static interface` | `JProgressBarOperator.ValueChooser` Interface to define criteria for `waitValue(ValueChooser)` method.

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Field Summary
`static java.lang.String` | `MAXIMUM_DPROP` Identifier for a "maximum" property.
`static java.lang.String` | `MINIMUM_DPROP` Identifier for a "minimum" property.
`static java.lang.String` | `VALUE_DPROP` Identifier for a "value" property.

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JProgressBarOperator(ContainerOperator cont)` Constructor.
`JProgressBarOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JProgressBarOperator object.
`JProgressBarOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JProgressBarOperator object.
`JProgressBarOperator(ContainerOperator cont, int index)` Constructor.
`JProgressBarOperator(javax.swing.JProgressBar b)` Constructor.

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener changeListener)` Maps `JProgressBar.addChangeListener(ChangeListener)` through queue
`static javax.swing.JProgressBar` | `findJProgressBar(java.awt.Container cont)` Searches 0'th JProgressBar in container.
`static javax.swing.JProgressBar` | `findJProgressBar(java.awt.Container cont, ComponentChooser chooser)` Searches 0'th JProgressBar in container.
`static javax.swing.JProgressBar` | `findJProgressBar(java.awt.Container cont, ComponentChooser chooser, int index)` Searches JProgressBar in container.
`static javax.swing.JProgressBar` | `findJProgressBar(java.awt.Container cont, int index)` Searches JProgressBar in container.
`java.util.Hashtable` | `getDump()` Returns information about component.
`int` | `getMaximum()` Maps `JProgressBar.getMaximum()` through queue
`int` | `getMinimum()` Maps `JProgressBar.getMinimum()` through queue
`javax.swing.BoundedRangeModel` | `getModel()` Maps `JProgressBar.getModel()` through queue
`int` | `getOrientation()` Maps `JProgressBar.getOrientation()` through queue
`TestOut` | `getOutput()` Returns print output streams or writers.
`double` | `getPercentComplete()` Maps `JProgressBar.getPercentComplete()` through queue
`java.lang.String` | `getString()` Maps `JProgressBar.getString()` through queue
`Timeouts` | `getTimeouts()` Return current timeouts.
`javax.swing.plaf.ProgressBarUI` | `getUI()` Maps `JProgressBar.getUI()` through queue
`int` | `getValue()` Maps `JProgressBar.getValue()` through queue
`boolean` | `isBorderPainted()` Maps `JProgressBar.isBorderPainted()` through queue
`boolean` | `isStringPainted()` Maps `JProgressBar.isStringPainted()` through queue
`void` | `removeChangeListener(javax.swing.event.ChangeListener changeListener)` Maps `JProgressBar.removeChangeListener(ChangeListener)` through queue
`void` | `setBorderPainted(boolean b)` Maps `JProgressBar.setBorderPainted(boolean)` through queue
`void` | `setMaximum(int i)` Maps `JProgressBar.setMaximum(int)` through queue
`void` | `setMinimum(int i)` Maps `JProgressBar.setMinimum(int)` through queue
`void` | `setModel(javax.swing.BoundedRangeModel boundedRangeModel)` Maps `JProgressBar.setModel(BoundedRangeModel)` through queue
`void` | `setOrientation(int i)` Maps `JProgressBar.setOrientation(int)` through queue
`void` | `setOutput(TestOut out)` Defines print output streams or writers.
`void` | `setString(java.lang.String string)` Maps `JProgressBar.setString(String)` through queue
`void` | `setStringPainted(boolean b)` Maps `JProgressBar.setStringPainted(boolean)` through queue
`void` | `setTimeouts(Timeouts timeouts)` Defines current timeouts.
`void` | `setUI(javax.swing.plaf.ProgressBarUI progressBarUI)` Maps `JProgressBar.setUI(ProgressBarUI)` through queue
`void` | `setValue(int i)` Maps `JProgressBar.setValue(int)` through queue
`static javax.swing.JProgressBar` | `waitJProgressBar(java.awt.Container cont)` Waits 0'th JProgressBar in container.
`static javax.swing.JProgressBar` | `waitJProgressBar(java.awt.Container cont, ComponentChooser chooser)` Waits 0'th JProgressBar in container.
`static javax.swing.JProgressBar` | `waitJProgressBar(java.awt.Container cont, ComponentChooser chooser, int index)` Waits JProgressBar in container.
`static javax.swing.JProgressBar` | `waitJProgressBar(java.awt.Container cont, int index)` Waits JProgressBar in container.
`void` | `waitValue(int value)` Waits progress bar value to be less or equal to `value` parameter.
`void` | `waitValue(JProgressBarOperator.ValueChooser chooser)` Waits for criteria defined by `chooser` to be reached.

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, copyEnvironment, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MINIMUM_DPROP

    public static final java.lang.String MINIMUM_DPROP

  Identifier for a "minimum" property.
  See Also:
    `getDump()`

### MAXIMUM_DPROP

    public static final java.lang.String MAXIMUM_DPROP

  Identifier for a "maximum" property.
  See Also:
    `getDump()`

### VALUE_DPROP

    public static final java.lang.String VALUE_DPROP

  Identifier for a "value" property.
  See Also:
    `getDump()`

Constructor Detail

### JProgressBarOperator

    public JProgressBarOperator(javax.swing.JProgressBar b)

  Constructor.
  Parameters:
    `b` - JProgressBar component.

### JProgressBarOperator

    public JProgressBarOperator(ContainerOperator cont,
                                ComponentChooser chooser,
                                int index)

  Constructs a JProgressBarOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JProgressBarOperator

    public JProgressBarOperator(ContainerOperator cont,
                                ComponentChooser chooser)

  Constructs a JProgressBarOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### JProgressBarOperator

    public JProgressBarOperator(ContainerOperator cont,
                                int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - Operator pointing a container to search component in.
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -

### JProgressBarOperator

    public JProgressBarOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - Operator pointing a container to search component in.
  Throws:
    `TimeoutExpiredException` -

Method Detail

### findJProgressBar

    public static javax.swing.JProgressBar findJProgressBar(java.awt.Container cont,
                                                            ComponentChooser chooser,
                                                            int index)

  Searches JProgressBar in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JProgressBar instance or null if component was not found.

### findJProgressBar

    public static javax.swing.JProgressBar findJProgressBar(java.awt.Container cont,
                                                            ComponentChooser chooser)

  Searches 0'th JProgressBar in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JProgressBar instance or null if component was not found.

### findJProgressBar

    public static javax.swing.JProgressBar findJProgressBar(java.awt.Container cont,
                                                            int index)

  Searches JProgressBar in container.
  Parameters:
    `cont` - Container to search component in.
    `index` - Ordinal component index.
  Returns:
    JProgressBar instance or null if component was not found.

### findJProgressBar

    public static javax.swing.JProgressBar findJProgressBar(java.awt.Container cont)

  Searches 0'th JProgressBar in container.
  Parameters:
    `cont` - Container to search component in.
  Returns:
    JProgressBar instance or null if component was not found.

### waitJProgressBar

    public static javax.swing.JProgressBar waitJProgressBar(java.awt.Container cont,
                                                            ComponentChooser chooser,
                                                            int index)

  Waits JProgressBar in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JProgressBar instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### waitJProgressBar

    public static javax.swing.JProgressBar waitJProgressBar(java.awt.Container cont,
                                                            ComponentChooser chooser)

  Waits 0'th JProgressBar in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JProgressBar instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### waitJProgressBar

    public static javax.swing.JProgressBar waitJProgressBar(java.awt.Container cont,
                                                            int index)

  Waits JProgressBar in container.
  Parameters:
    `cont` - Container to search component in.
    `index` - Ordinal component index.
  Returns:
    JProgressBar instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### waitJProgressBar

    public static javax.swing.JProgressBar waitJProgressBar(java.awt.Container cont)

  Waits 0'th JProgressBar in container.
  Parameters:
    `cont` - Container to search component in.
  Returns:
    JProgressBar instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### setTimeouts

    public void setTimeouts(Timeouts timeouts)

  Description copied from interface: `Timeoutable`
  Defines current timeouts.
  Specified by:
    `setTimeouts` in interface `Timeoutable`
  Overrides:
    `setTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Parameters:
    `t` - A collection of timeout assignments.
  See Also:
    `Timeoutable.getTimeouts()`

### getTimeouts

    public Timeouts getTimeouts()

  Description copied from interface: `Timeoutable`
  Return current timeouts.
  Specified by:
    `getTimeouts` in interface `Timeoutable`
  Overrides:
    `getTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Returns:
    the collection of current timeout assignments.
  See Also:
    `Timeoutable.setTimeouts(org.netbeans.jemmy.Timeouts)`

### setOutput

    public void setOutput(TestOut out)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### waitValue

    public void waitValue(JProgressBarOperator.ValueChooser chooser)

  Waits for criteria defined by `chooser` to be reached.
  Parameters:
    `chooser` - an object specifying waiting criteria.
  See Also:
    `waitValue(int)`

### waitValue

    public void waitValue(int value)

  Waits progress bar value to be less or equal to `value` parameter. Can be used for typical progress bar (when value is increasing).
  Parameters:
    `value` - a value to reach.
  See Also:
    `waitValue(JProgressBarOperator.ValueChooser)`

### getDump

    public java.util.Hashtable getDump()

  Description copied from class: `ComponentOperator`
  Returns information about component.
  Overrides:
    `getDump` in class `JComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Returns:
    a Hashtable containing name-value pairs.

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener changeListener)

  Maps `JProgressBar.addChangeListener(ChangeListener)` through queue

### getMaximum

    public int getMaximum()

  Maps `JProgressBar.getMaximum()` through queue

### getMinimum

    public int getMinimum()

  Maps `JProgressBar.getMinimum()` through queue

### getModel

    public javax.swing.BoundedRangeModel getModel()

  Maps `JProgressBar.getModel()` through queue

### getOrientation

    public int getOrientation()

  Maps `JProgressBar.getOrientation()` through queue

### getPercentComplete

    public double getPercentComplete()

  Maps `JProgressBar.getPercentComplete()` through queue

### getString

    public java.lang.String getString()

  Maps `JProgressBar.getString()` through queue

### getUI

    public javax.swing.plaf.ProgressBarUI getUI()

  Maps `JProgressBar.getUI()` through queue

### getValue

    public int getValue()

  Maps `JProgressBar.getValue()` through queue

### isBorderPainted

    public boolean isBorderPainted()

  Maps `JProgressBar.isBorderPainted()` through queue

### isStringPainted

    public boolean isStringPainted()

  Maps `JProgressBar.isStringPainted()` through queue

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener changeListener)

  Maps `JProgressBar.removeChangeListener(ChangeListener)` through queue

### setBorderPainted

    public void setBorderPainted(boolean b)

  Maps `JProgressBar.setBorderPainted(boolean)` through queue

### setMaximum

    public void setMaximum(int i)

  Maps `JProgressBar.setMaximum(int)` through queue

### setMinimum

    public void setMinimum(int i)

  Maps `JProgressBar.setMinimum(int)` through queue

### setModel

    public void setModel(javax.swing.BoundedRangeModel boundedRangeModel)

  Maps `JProgressBar.setModel(BoundedRangeModel)` through queue

### setOrientation

    public void setOrientation(int i)

  Maps `JProgressBar.setOrientation(int)` through queue

### setString

    public void setString(java.lang.String string)

  Maps `JProgressBar.setString(String)` through queue

### setStringPainted

    public void setStringPainted(boolean b)

  Maps `JProgressBar.setStringPainted(boolean)` through queue

### setUI

    public void setUI(javax.swing.plaf.ProgressBarUI progressBarUI)

  Maps `JProgressBar.setUI(ProgressBarUI)` through queue

### setValue

    public void setValue(int i)

  Maps `JProgressBar.setValue(int)` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD